
/**
 *
 */
package org.tio.sitexxx.im.common.bs.wx.webrtc.base;

import org.tio.sitexxx.service.model.main.WxCallItem;

import java.io.Serializable;

/**
 * @author tanyaowu
 */
public class WxCallBase extends WxCallItem implements Serializable {

	private static final long serialVersionUID = 346711195550637522L;

	/**
	 * 透传填充
	 * @param wxCallItem
	 * @author tanyaowu
	 */
	public void fill(WxCallItem wxCallItem) {
		this._setAttrs(wxCallItem);
	}

	/**
	 * 
	 * @param wxCallBase
	 * @return
	 * @author tanyaowu
	 */
	public static boolean save(WxCallBase wxCallBase) {
		WxCallItem wxCallItem = new WxCallItem();
		wxCallItem._setAttrs(wxCallBase);
		boolean f = wxCallItem.save();
		if (f) {
			wxCallBase.setId(wxCallItem.getId());
		}
		return f;
	}

}
